//
//	VidyoRoomProperties_Objc.h
//	VidyoClient
//
//	This file is auto generated, do not edit this file
//	Copyright (c) 2016 Vidyo, Inc. All rights reserved.
//

#import "VidyoEventSchedule_Objc.h"
@class VCRoomParticipantProfile;
@interface VCRoomProperties : NSObject
{
}

	@property NSMutableArray* administrators;
	@property NSMutableString* calendarInviteBody;
	@property NSMutableString* calendarInviteHTMLBody;
	@property NSMutableString* calendarInviteSubject;
	@property long creationTime;
	@property VCRoomParticipantProfile* defaultProfile;
	@property NSMutableString* description;
	@property NSMutableString* designatedPresenter;
	@property BOOL hasCalendarInviteText;
	@property BOOL hasModeratorPin;
	@property BOOL hasPassword;
	@property BOOL isBroadcastingEnabled;
	@property BOOL isLoggingEnabled;
	@property BOOL isLoggingPaused;
	@property BOOL isLoggingSupported;
	@property BOOL isMembersOnly;
	@property BOOL isModerated;
	@property BOOL isPasswordProtected;
	@property BOOL isPeertoPeerCallWithLegacy;
	@property BOOL isPublic;
	@property BOOL isRoleChangeAllowed;
	@property BOOL isSecure;
	@property BOOL isWaitingRoomEnabled;
	@property NSMutableString* language;
	@property NSMutableString* loggingLocation;
	@property unsigned int maxParticipants;
	@property NSMutableArray* members;
	@property NSMutableString* moderatorUrl;
	@property NSMutableArray* moderators;
	@property NSMutableString* name;
	@property NSMutableArray* outcasts;
	@property NSMutableArray* owners;
	@property NSMutableArray* participantProfiles;
	@property NSMutableString* password;
	@property VCEventSchedule* schedule;
	@property NSMutableString* webLink;
@end
